Macro command functions

[ ] indicates optional parameters

ABSREF(ref_text, reference)
ACTIVATE([window_text], [pane_num])
ACTIVATE.NEXT([workbook_text])
ACTIVATE.PREV([workbook_text])
ACTIVE.CELL()
ALERT(message_text, [type_num], [help_ref])
ALIGNMENT([horiz_align], [wrap], [vert_align], [orientation], [add_indent])
ASSIGN.TO.OBJECT([macro_ref])
ATTACH.TEXT(attach_to_num, [series_num], [point_num])
AXES([x_primary], [y_primary], [x_secondary], [y_secondary])
BEEP([tone_num])
BORDER([outline], [left], [right], [top], [bottom], [shade], [outline_color], [left_color], [right_color], [top_color], [bottom_color])
BRING.TO.FRONT()
CALCULATE.DOCUMENT()
CALCULATE.NOW()
CALLER()
CANCEL.KEY(enable_logical, [macro_ref])
CELL.PROTECTION([locked], [hidden])
CHECKBOX.PROPERTIES([value], [link], [accel_text], [accel_text2], [3d_shading])
CLEAR([type_num])
COLOR.PALETTE(file_text)
COLUMN.WIDTH([width_num], [reference], [standard], [type_num], [standard_num])
COPY([from_reference], [to_reference])
CREATE.OBJECT(obj_type, ref1, [x_offset1], [y_offset1], ref2, [x_offset2], [y_offset2], [text], [fill], [editable])
CREATE.OBJECT(obj_type, ref1, [x_offset1], [y_offset1], ref2, [x_offset2], [y_offset2], array, [fill])
CUT([from_reference], [to_reference])
DATA.FORM()
DATA.LABEL([show_option], [auto_text], [show_key])
DATA.SERIES([rowcol], [type_num], [date_num], [step_value], [stop_value], [trend])
DEFINE.NAME(name_text, [refers_to], [macro_type], [shortcut_text], [hidden], [category], [local])
DELETE.FORMAT(format_text)
DELETE.NAME(name_text)
DEREF(reference)
DIRECTORY([path_text])
DOCUMENTS([type_num], [match_text])
DUPLICATE()
ECHO([logical])
EDIT.COLOR(color_num, [red_value], [green_value], [blue_value])
EDIT.DELETE([shift_num])
EDIT.SERIES([series_num], [name_ref], [x_ref], [y_ref], [z_ref], [plot_order])
ENABLE.OBJECT([object_id], [enable_logical])
ERROR(enable_logical, [macro_ref])
EVALUATE(formula_text)
EXEC(program_text, [window_num])
EXTEND.POLYGON(array)
FCLOSE(file_num)
FILE.CLOSE([save_logical], [route_logical])
FILE.DELETE(file_text)
FILES([directory_text])
FILL.DOWN()
FILL.LEFT()
FILL.RIGHT()
FILL.UP()
FILTER([field_num], [criteria1], [operation], [criteria2])
FILTER.ADVANCED(operation, list_ref, [criteria_ref], [copy_ref], [unique])
FILTER.SHOW.ALL()
FONT.PROPERTIES([font], [font_style], [size], [strikethrough], [superscript], [subscript], [outline], [shadow], [underline], [color], [normal], [background], [start_char], [char_count])
FOPEN(file_text, [access_num])
FORMAT.LEGEND(position_num)
FORMAT.MOVE([x_offset], [y_offset], [reference])
FORMAT.NUMBER(format_text)
FORMAT.SHAPE(vertex_num, insert, [reference], [x_offset], [y_offset])
FORMAT.TEXT([x_align], [y_align], [orient_num], [auto_text], [auto_size], [show_key], [show_value], [add_indent])
FORMULA(formula_text, [reference])
FORMULA.ARRAY(formula_text, [reference])
FORMULA.CONVERT(formula_text, from_a1, [to_a1], [to_ref_type], [rel_to_ref])
FORMULA.FILL(formula_text, [reference])
FORMULA.FIND(text, in_num, at_num, by_num, [dir_num], [match_case])
FORMULA.FIND.NEXT()
FORMULA.FIND.PREV()
FORMULA.GOTO([reference], [corner])
FORMULA.REPLACE(find_text, replace_text, [look_at], [look_by], [active_cell], [match_case])
FPOS(file_num, [position_num])
FREAD(file_num, num_chars)
FREADLN(file_num)
FREEZE.PANES([logical], [col_split], [row_split])
FSIZE(file_num)
FULL.SCREEN([logical])
FWRITE(file_num, text)
FWRITELN(file_num, text)
GALLERY.AREA(type_num, [delete_overlay])
GALLERY.BAR(type_num, [delete_overlay])
GALLERY.COLUMN(type_num, [delete_overlay])
GALLERY.DOUGHNUT(type_num, [delete_overlay])
GALLERY.LINE(type_num, [delete_overlay])
GALLERY.PIE(type_num, [delete_overlay])
GALLERY.RADAR(type_num, [delete_overlay])
GALLERY.SCATTER(type_num, [delete_overlay])
GET.CELL(type_num, [reference])
GET.DOCUMENT(type_num, [name_text])
GET.FORMULA(reference)
GET.NAME(name_text, [info_type])
GET.NOTE([cell_ref], [start_char], [num_chars])
GET.OBJECT(type_num, [object_id], [start_num], [count_num], [item_index])
GET.WINDOW(type_num, [window_text])
GET.WORKBOOK(type_num, [name_text])
GET.WORKSPACE(type_num)
GOAL.SEEK(target_cell, target_value, variable_cell)
GRIDLINES([x_major], [x_minor], [y_major], [y_minor], [z_major], [z_minor], [2D_effect])
HIDE.OBJECT([object_id], [hide_logical])
HLINE([num_columns])
HPAGE([num_windows])
HSCROLL(position, [col_logical])
INPUT(message_text, [type_num], [title_text], [default], [x_pos], [y_pos], [help_ref])
INSERT([shift_num])
INSERT.TITLE([chart], [y_primary], [x_primary], [y_secondary], [x_secondary])
LABEL.PROPERTIES([accel_text], [accel_text2], [3d_shading])
LEGEND([logical])
LISTBOX.PROPERTIES([range], [link], [drop_size], [multi_select], [3d_shading])
MESSAGE(logical, [text])
NAMES([document_text], [type_num], [match_text])
NEW([type_num], [xy_series], [add_logical])
NOTE([add_text], [cell_ref], [start_char], [num_chars])
OBJECT.PROPERTIES([placement_type], [print_object])
ON.DOUBLECLICK([sheet_text], [macro_text])
ON.ENTRY([sheet_text], [macro_text])
ON.SHEET([sheet_text], [macro_text], [activate_logical])
OPEN(file_text, [update_links], [read_only], [format], [prot_pwd], [write_res_pwd], [ignore_rorec], [file_origin], [custom_delimit], [add_logical], [editable], [file_access], [notify_logical], [converter])
OPEN.DIALOG([file_filter], [button_text], [title], [filter_index])
OPTIONS.VIEW([formula], [status], [notes], [show_info], [object_num], [page_breaks], [formulas], [gridlines], [color_num], [headings], [outline], [zeros], [hor_scroll], [vert_scroll], [sheet_tabs])
PASTE([to_reference])
PASTE.SPECIAL([paste_num], [operation_num], [skip_blanks], [transpose])
PATTERNS([apattern], [afore], [aback])
PATTERNS([lauto], [lstyle], [lcolor], [lwt], [hwidth], [hlength], [htype])
PATTERNS([bauto], [bstyle], [bcolor], [bwt], [shadow], [aauto], [apattern], [afore], [aback], [rounded], [newui])
PATTERNS([bauto], [bstyle], [bcolor], [bwt], [shadow], [aauto], [apattern], [afore], [aback], [invert], [apply], [new_fill])
PATTERNS([lauto], [lstyle], [lcolor], [lwt], [mauto], [mstyle], [mfore], [mback], [apply], [smooth])
PROTECT.DOCUMENT([contents], [windows], [password], [objects], [scenarios])
QUIT()
REFTEXT(reference, [a1])
RELREF(reference, rel_to_ref)
ROW.HEIGHT([height_num], [reference], [standard_height], [type_num])
SAVE()
SAVE.AS([document_text], [type_num], [prot_pwd], [backup], [write_res_pwd], [read_only_rec])
SAVE.COPY.AS([document_text])
SAVE.DIALOG([init_filename], [title], [button_text], [file_filter], [filter_index])
SCALE([min_num], [max_num], [major], [minor], [cross], [logarithmic], [reverse], [max])
SCROLLBAR.PROPERTIES([value], [min], [max], [inc], [page], [link], [3d_shading])
SELECT([selection], [active_cell])
SELECT([object_id], [replace])
SELECT([item_text], [single_point])
SELECT.END(direction_num)
SELECT.LAST.CELL()
SELECTION()
SEND.TO.BACK()
SET.CONTROL.VALUE([value])
SHOW.ACTIVE.CELL()
SORT([orientation], [key1], [order1], [key2], [order2], [key3], [order3], [header], [custom], [case])
STANDARD.WIDTH([standard_num])
TEXT.BOX(add_text, [object_id], [start_num], [num_chars])
TEXT.TO.COLUMNS([destination_ref], [data_type], [text_delim], [consecutive_delim], [tab], [semicolon], [comma], [space], [other], [other_char], [field_info])
TEXTREF(text, [a1])
UNDO()
VLINE([num_rows])
VPAGE([num_windows])
VSCROLL(position, [row_logical])
WORKBOOK.ACTIVATE(sheet_name) WORKBOOK.DELETE([sheet_name]) WORKBOOK.HIDE([sheet_text], [very_hidden]) WORKBOOK.INSERT([type_num]) WORKBOOK.NAME(old_sheet_name, new_sheet_name) WORKBOOK.NEXT()
WORKBOOK.PREV()
WORKBOOK.UNHIDE([sheet_text]) ZOOM([magnification])

ABSREF(ref_text, reference)

Returns an absolute reference corresponding to an offset from another reference.

ref_text | The offset specified in R1C1 format.
reference | The base reference.

ACTIVATE([window_text], [pane_num])

Specifies the workbook, sheet and/or pane that is to be active.

window_text | The workbook and/or sheet name. If this parameter is omitted then the active window is not changed.
pane_num | For a split window, specifies which pane is to be active. The possible values are:
1 | Upper or upper left.
2 | Upper right.
3 | Lower or lower left.
4 | Lower right.
| If this parameter is omitted then the active pane is not changed.

ACTIVATE.NEXT([workbook_text])

Simulates the Ctrl+Page Down or Ctrl+Tab key combination.

workbook_text | The workbook for which the next sheet is to be selected. If this parameter is omitted then the next workbook is selected.

ACTIVATE.PREV([workbook_text])

Simulates the Ctrl+Page Up or Ctrl+Shift+Tab key combination.

workbook_text | The workbook for which the previous sheet is to be selected. If this parameter is omitted then the previous workbook is selected.

ACTIVE.CELL()

Returns a reference which represents the current position of the cursor on the active worksheet.

ALERT(message_text, [type_num], [help_ref])

Displays a message box containing the specified text. It returns TRUE if the OK button is pressed, otherwise FALSE.

message_text | The text to be displayed in the message box.
type_num | The type of message box to be displayed. The possible values are:
1 | A box containing a question mark icon and OK and Cancel buttons.
2 | A box containing an information icon and an OK button.
3 | A box containing an exclamation icon and an OK button.
| If this parameter is omitted it defaults to 2.
help_ref | A reference to a Help topic (not currently implemented).

ALIGNMENT([horiz_align], [wrap], [vert_align], [orientation], [add_indent])

Simulates the Format Cells dialog Alignment page.

horiz_align | The horizontal alignment to be used. The possible values are:
1 | General
2 | Left
3 | Center
4 | Right
5 | Fill
6 | Justify
7 | Center across selection
| If this parameter is omitted the setting is not changed.
wrap | Whether to wrap the text in the cells. The possible values are:
FALSE | The text is not wrapped
TRUE | The text is wrapped
| If this parameter is omitted the setting is not changed.
vert_align | The vertical alignment to be used. The possible values are:
1 | Top
2 | Center
3 | Bottom
4 | Justify
| If this parameter is omitted the setting is not changed.
orientation | The text orientation. The possible valus are:
0 | Horizontal
1 | Vertical
2 | Upward
3 | Downward
| If this parameter is omitted the setting is not changed.
add_indent | Not currently implemented.

ASSIGN.TO.OBJECT([macro_ref])

Assigns a macro to an object.

macro_ref | The reference of the macro to be assigned. If this parameter is omitted then any existing macro is removed.

ATTACH.TEXT(attach_to_num, [series_num], [point_num])

Attaches default text to the active chart. The SELECT and FORMULA functions can be used to change the text.

attach_to_num | The item where the default text is to be attached. The possible values are:
1 | Chart title
2 | Primary y-axis title
3 | Primary x-axis title
4 | Data label (not currently implemented)
5 | Secondary y-axis title (not currently implemented)
6 | Secondary x-axis title (not currently implemented)
series_num | The series number of the data label (not currently implemented)
point_num | The point number of the data label (not currently implemented)

AXES([x_primary], [y_primary], [x_secondary], [y_secondary])

Changes the active chart axes.

x_primary | Whether to draw the X-axis. The possible values are:
FALSE | Do not draw the X-axis.
TRUE | Do draw the X-axis.
| If this parameter is omitted the setting is not changed.
y_primary | Whether to draw the Y-axis. The possible values are:
FALSE | Do not draw the Y-axis.
TRUE | Do draw the Y-axis.
| If this parameter is omitted the setting is not changed.
x_secondary | Whether to draw the secondary X-axis (not currently implemented).
y_secondary | Whether to draw the secondary Y-axis (not currently implemented).

BEEP([tone_num])

Causes the computer to beep.

tone_num | A number from 1 to 4 indicating which type of beep is to be produced (not currently implemented - all values will produce the same tone). If this parameter is omitted it defaults to 1.

BORDER([outline], [left], [right], [top], [bottom], [shade], [outline_color], [left_color], [right_color], [top_color], [bottom_color])

Simulates the Format Cells dialog Border page.

outline | The border type to be applied to the outline of the selected cells. The possible values are:
0 | No border
1 | Thin
2 | Medium
3 | Dashed
4 | Dotted
5 | Thick
6 | Double
7 | Hairline
| If this parameter is omitted the setting is not changed.
left | The border type to be used for the left border of the selected cells. The possible values are the same as for the outline parameter.
| If this parameter is omitted the setting is not changed.
right | The border type to be used for the right border of the selected cells. The possible values are the same as for the outline parameter.
| If this parameter is omitted the setting is not changed.
top | The border type to be used for the top border of the selected cells. The possible values are the same as for the outline parameter.
| If this parameter is omitted the setting is not changed.
bottom | The border type to be used for the bottom border of the selected cells. The possible values are the same as for the outline parameter.
| If this parameter is omitted the setting is not changed.
shade | Not implemented.
outline_color | The color to be used for the outline border. The possible values are:
0 | Automatic
1 to 56 | One of the colors displayed in the Format Cells dialog Border page
| If this parameter is omitted the setting is not changed.
left_color | The color to be used for the left border. The possible values are the same as for the outline_color parameter.
| If this parameter is omitted the setting is not changed.
right_color | The color to be used for the right border. The possible values are the same as for the outline_color parameter.
| If this parameter is omitted the setting is not changed.
top_color | The color to be used for the top border. The possible values are the same as for the outline_color parameter.
| If this parameter is omitted the setting is not changed.
bottom_color | The color to be used for the bottom border. The possible values are the same as for the outline_color parameter.
| If this parameter is omitted the setting is not changed.

BRING.TO.FRONT()

Changes the order of the objects on the active worksheet by moving the currently selected object to the front.

CALCULATE.DOCUMENT()

Causes the current worksheet to be recalculated.

CALCULATE.NOW()

Causes all worksheets to be recalculated.

CALLER()

Returns information about the caller of the macro.

Macro called from: | Function returns:
User-defined function | reference of cell containing function call
User-defined function in array formula | reference of array formula range
Attached to control or drawing object | object identifier
Auto_Open macro | file name
Manually (control key combination) | error value #REF!
ON.DOUBLECLICK macro | reference of cell that was double-clicked
ON.ENTRY macro | reference of cell where data was entered
ON.SHEET macro | error value #REF!

CANCEL.KEY(enable_logical, [macro_ref])

Specifies the action taken when the Escape key is pressed in a macro.

enable_logical | Whether to interrupt the macro. The possible values are:
FALSE | The macro continues
TRUE | The macro is interrupted
macro_ref | The macro to be run when the Escape key is pressed (not currently implemented)

CELL.PROTECTION([locked], [hidden])

Simulates the Format Cells dialog Protection page.

locked | Whether the cell should be locked when the sheet is protected. The possible values are:
FALSE | The cell is not locked
TRUE | The cell is locked
| If this parameter is omitted the setting is not changed.
hidden | Whether the cell formula should be hidden when the sheet is protected. The possible values are:
FALSE | The cell formula is not hidden
TRUE | The cell formula is hidden
| If this parameter is omitted the setting is not changed.

CHECKBOX.PROPERTIES([value], [link], [accel_text], [accel_text2], [3d_shading])

Changes the properties of a check box or option button control.

value | The value of the control. The possible values are:
FALSE | Unchecked
TRUE | Checked
0 | Unchecked
1 | Checked
2 | Mixed
| If this parameter is omitted the value is not changed.
link | The cell that is updated by the control. If this parameter is omitted the link is not changed.
accel_text | The accelerator key on a dialog sheet (not currently implemented).
accel_text2 | The second accelerator key on a dialog sheet (not currently implemented).
3d_shading | Whether to draw the control with 3d shading. The possible values are:
FALSE | 2d
TRUE | 3d
| If this parameter is omitted the setting is not changed.

CLEAR([type_num])

Simulates the Edit Clear menu options.

type_num | The type of information to clear from the current selection on the active worksheet. The possible values are:
1 | Clear all
2 | Clear formats
3 | Clear contents
4 | Clear comments
| If this parameter is omitted it defaults to 3.

COLOR.PALETTE(file_text)

Copies the color palette from another file.

file_text | The name of the file from which to copy the palette. The file must already be open. If this parameter is an empty string then the colors are reset to the default values.

COLUMN.WIDTH([width_num], [reference], [standard], [type_num], [standard_num])

Simulates the Format Column menu options.

width_num | The new width of the columns. The width is measured in characters. This parameter is ignored if standard is TRUE or type_num is specified. If this parameter is omitted the width of the specified columns is not changed.
reference | The columns whose width is to be changed. If this parameter is omitted it defaults to the current selection on the active worksheet.
standard | Specifies whether the columns are to be set to the standard column width. The possible values are:
TRUE | The columns are set to the standard width.
FALSE | The columns are not set to the standard width.
| If this parameter is omitted it defaults to FALSE.
type_num | Specifies whether the columns are to be hidden, unhidden or automatically sized. This parameter is ignored if standard is TRUE. The possible values are:
1 | The columns are hidden.
2 | The columns are unhidden.
3 | The columns are set to the width of the longest displayed value.
| If this parameter is omitted the columns will not be hidden, unhidden or auto-sized.
standard_num | Specifies the value to be used for the standard width. The width is measured in characters. If this parameter is omitted the standard width is not changed.

COPY([from_reference], [to_reference])

Simulates the Edit Copy menu option.

from_reference | The cells that are to be copied to the clipboard. If this parameter is omitted it defaults to the current selection on the active worksheet.
to_reference | The cells where the copied information is to be pasted. If this parameter is omitted then the cells are not pasted.

CREATE.OBJECT(obj_type, ref1, [x_offset1], [y_offset1], ref2, [x_offset2], [y_offset2], [text], [fill], [editable])

Simulates the Insert Drawing and Insert Control menu options.

obj_type | The type of object to be created. The possible values are:
1 | Line
2 | Rectangle
3 | Oval
6 | Text box
7 | Command button
11 | Check box
12 | Option button
14 | Label
16 | Spin control
17 | Scroll bar
18 | List box
19 | Group box
20 | Combo box
ref1 | The cell containing the top-left corner of the object.
x_offset1 | The offset in points of the top-left corner of the object from the left edge of the cell. If this parameter is omitted it defaults to 0.
y_offset1 | The offset in points of the top-left corner of the object from the top edge of the cell. If this parameter is omitted it defaults to 0.
ref2 | The cell containing the bottom-right corner of the object.
x_offset2 | The offset in points of the bottom-right corner of the object from the left edge of the cell. If this parameter is omitted it defaults to 0.
y_offset2 | The offset in points of the bottom-right corner of the object from the top edge of the cell. If this parameter is omitted it defaults to 0.
text | The text to be assigned to the object. If this parameter is omitted then no text is assigned.
fill | Specifies whether the object is filled or transparent (not currently implemented).
editable | Specifies whether a combo box is editable (not currently implemented).

CREATE.OBJECT(obj_type, ref1, [x_offset1], [y_offset1], ref2, [x_offset2], [y_offset2], array, [fill])

Simulates the Insert Drawing and Insert Control menu options.

obj_type | The type of object to be created. The possible values are:
9 | Closed polygon
10 | Open polygon
ref1 | The cell containing the top-left corner of the object.
x_offset1 | The offset in points of the top-left corner of the object from the left edge of the cell. If this parameter is omitted it defaults to 0.
y_offset1 | The offset in points of the top-left corner of the object from the top edge of the cell. If this parameter is omitted it defaults to 0.
ref2 | The cell containing the bottom-right corner of the object.
x_offset2 | The offset in points of the bottom-right corner of the object from the left edge of the cell. If this parameter is omitted it defaults to 0.
y_offset2 | The offset in points of the bottom-right corner of the object from the top edge of the cell. If this parameter is omitted it defaults to 0.
array | An array or reference with 2 columns and at least 2 rows, containing the x and y points of the polygon.
fill | Specifies whether the object is filled or transparent (not currently implemented).

CUT([from_reference], [to_reference])

Simulates the Edit Cut menu option.

from_reference | The cells that are to be cut to the clipboard. If this parameter is omitted it defaults to the current selection on the active worksheet.
to_reference | The cells where the cut information is to be pasted. If this parameter is omitted then the cells are not pasted.

DATA.FORM()

Simulates the Format Data Form menu option.

DATA.LABEL([show_option], [auto_text], [show_key])

Changes the active chart data labels.

show_option | The type of label to show. The possible values are:
1 | None
2 | Show value
3 | Show percent
4 | Show label
5 | Show label and percent
| If this parameter is omitted the data labels are not changed.
auto_text | Whether to reset the data labels (not currently implemented).
show_key | Whether to show the legend key next to the label (not currently implemented).

DATA.SERIES([rowcol], [type_num], [date_num], [step_value], [stop_value], [trend])

Simulates the Edit Fill Series menu option.

rowcol | Indicates whether the series is in rows or columns. The possible values are:
1 | Rows
2 | Columns
| If this parameter is omitted it defaults depending on the shape of the current selection.
type_num | The way in which the series values change. The possible values are:
1 | Linear
2 | Growth
3 | Date
4 | Auto (not currently implemented)
| If this parameter is omitted it defaults to 1.
date_num | The way in which the date values change. The possible values are:
1 | Day
2 | Weekday
3 | Month
4 | Year
| If this parameter is omitted it defaults to 1.
step_value | The number used to add to or multiply by the series value. If this parameter is omitted it defaults to 1.
stop_value | The value at which to stop filling the series. If this parameter is omitted then the entire selection is filled.
trend | Indicates whether to fill the series using trend values calculated from existing data. The possible values are:
FALSE | Don't use trend values.
TRUE | Use trend values (not currently implemented).
| If this parameter is omitted it defaults to FALSE.

DEFINE.NAME(name_text, [refers_to], [macro_type], [shortcut_text], [hidden], [category], [local])

Simulates the Insert Name Define Add menu option.

name_text | A string containing the name to be defined.
refers_to | The value that is to be assigned to the name. If this parameter is omitted it defaults to a reference to the current selection on the active sheet.
macro_type | The type of macro that this name refers to (not currently implemented).
shortcut_text | The shortcut key used to activate a command macro. If this parameter is omitted no shortcut key is assigned.
hidden | Whether the name is to be hidden in the name definition list. The possible values are:
FALSE | Show the name in the list.
TRUE | Do not show the name in the list.
| If this parameter is omitted it defaults to FALSE.
category | Identifies the category of a custom function (not currently implemented).
local | Whether the name is to local to the active sheet. The possible values are:
FALSE | The name is defined as global.
TRUE | The name is defined as local.
| If this parameter is omitted it defaults to FALSE.

DELETE.FORMAT(format_text)

Deletes the specified custom number format. Any cells using this format will be changed to use the General format.

format_text | A string containing the format to be deleted.

DELETE.NAME(name_text)

Simulates the Insert Name Define Delete menu option.

name_text | A string containing the name to be deleted.

DEREF(reference)

Returns the values of cells in a reference. You should not need to use this function, as references are automatically converted to values where necessary when they are used in formulas.

reference | The reference to the cells whose values you want.

DIRECTORY([path_text])

Returns the path of the current directory, and optionally allows you to change it.

path_text | The path to which you want to change the current directory. If this parameter is omitted the current directory is not changed. Note that in Windows CE the current directory is always the root directory and cannot be changed.

DOCUMENTS([type_num], [match_text])

Returns a horizontal array containing the names of the open files.

type_num | Specifies whether to include add-in workbooks in the list. The possible values are:
1 | List only open files that are not add-in workbooks.
2 | List only open files that are add-in workbooks.
3 | List all open files.
| If this parameter is omitted it defaults to 1.
match_text | A template name that may contain wildcard characters. If this parameter is omitted then all workbook names will be included.

DUPLICATE()

Duplicates the currently selected object.

ECHO([logical])

Controls screen updating while a macro is running.

logical | Whether to update the screen while the macro is running. The possible values are:
FALSE | Do not update the screen
TRUE | Do update the screen
| If this parameter is omitted the setting is toggled.

EDIT.COLOR(color_num, [red_value], [green_value], [blue_value])

Changes the color associated with a specific color number.

color_num | A number from 1 to 56, indicating which color is to be changed.
red_value | A number from 0 to 255, specifying the intensity of the red component. If this parameter is omitted the red component is not changed.
green_value | A number from 0 to 255, specifying the intensity of the green component. If this parameter is omitted the green component is not changed.
blue_value | A number from 0 to 255, specifying the intensity of the blue component. If this parameter is omitted the blue component is not changed.

EDIT.DELETE([shift_num])

Simulates the Edit Delete menu option.

shift_num | The way in which the cell deletion is to be processed. The possible values are:
1 | Shift cells left
2 | Shift cells up
3 | Delete entire rows
4 | Delete entire columns
| If this parameter is omitted it defaults to 2.

EDIT.SERIES([series_num], [name_ref], [x_ref], [y_ref], [z_ref], [plot_order])

Adds or changes a series on the active chart.

series_num | The number of the series to be changed. If this parameter is zero or omitted then a new series is added.
name_ref | The series name. If this parameter is omitted the name is not changed.
x_ref | The X categories or values reference. If this parameter is omitted the reference is not changed.
y_ref | The Y values reference. If this parameter is omitted the reference is not changed.
z_ref | The Z values reference (not currently implemented).
plot_order | The order of this series on the chart (not currently implemented).

ENABLE.OBJECT([object_id], [enable_logical])

Specifies whether an object should respond to mouse clicks.

object_id | The object to be enabled or disabled. If this parameter is omitted the currently selected object is used.
enable_logical | Whether the object is enabled. The possible values are:
TRUE | The object is enabled
FALSE | The object is disabled
| If this parameter is omitted the setting is not changed.

ERROR(enable_logical, [macro_ref])

Specifies the action taken when an error occurs in a macro.

enable_logical | Whether to interrupt the macro. The possible values are:
FALSE | The macro continues
TRUE | The macro is interrupted
macro_ref | The macro to be run when an error occurs (not currently implemented)

EVALUATE(formula_text)

Returns the result of evaluating a formula.

formula_text | The formula to be evaluated.

EXEC(program_text, [window_num])

Executes another program.

program_text | The program to be executed.
window_num | The window state for the executed program (not currently implemented). The possible values are:
1 | Normal
2 | Minimized
3 | Maximized
| If this parameter is omitted it defaults to 2.

EXTEND.POLYGON(array)

Adds points to a polygon created by the CREATE.OBJECT function.

array | An array or reference with 2 columns, containing the x and y points of the polygon.

FCLOSE(file_num)

Closes a file that was previously opened by the FOPEN function.

file_num | The file number that was returned by the FOPEN function.

FILE.CLOSE([save_logical], [route_logical])

Simulates the File Close menu option.

save_logical | Whether to save a changed file before closing it. The possible values are:
FALSE | Do not save the file
TRUE | Save the file
| If this parameter is omitted then the prompt is displayed.
route_logical | Whether to route the file after closing it (not currently implemented).

FILE.DELETE(file_text)

Deletes a file.

file_text | The name of the file to be deleted.

FILES([directory_text])

Returns a horizontal array containing the names of the files in a directory.

directory_text | A template name that may contain wildcard characters. If this parameter is omitted then all file names will be included.

FILL.DOWN()

Simulates the Edit Fill Down menu option.

FILL.LEFT()

Simulates the Edit Fill Left menu option.

FILL.RIGHT()

Simulates the Edit Fill Right menu option.

FILL.UP()

Simulates the Edit Fill Up menu option.

FILTER([field_num], [criteria1], [operation], [criteria2])

Simulates the Format Data Filter AutoFilter menu option.

field_num | The filter column number whose criteria are to be changed. The columns are number from left to right, with 1 being the first filtered column. If this parameter is omitted the filter is just turned on or off.
criteria1 | A string specifying the criteria to be used. If this parameter is omitted any filter criteria are removed from the specified column.
operation | The combination operation when multiple criteria are used. The possible values are:
1 | AND
2 | OR
| If this parameter is omitted the second criteria is not used.
criteria2 | A string specifying the criteria to be used. If this parameter is omitted the second criteria is not used.

FILTER.ADVANCED(operation, list_ref, [criteria_ref], [copy_ref], [unique])

Simulates the Format Data Filter Advanced filter menu option.

operation | Whether to filter in place or copy to another location. The possible values are:
1 | Filter the list in place
2 | Copy the list to another location
list_ref | The location of the list to be filtered.
criteria_ref | The location of any filter criteria to be used. If this parameter is omitted no criteria will be applied.
copy_ref | The destination of the copied data. This is only used when operation is 2.
unique | Whether to select unique records only. The possible values are:
FALSE | Display all records that match the criteria.
TRUE | Display only unique records that match the criteria.
| If this parameter is omitted it defaults to FALSE.

FILTER.SHOW.ALL()

Simulates the Format Data Filter Show All menu option.

FONT.PROPERTIES([font], [font_style], [size], [strikethrough], [superscript], [subscript], [outline], [shadow], [underline], [color], [normal], [background], [start_char], [char_count])

Simulates the Format Cells dialog Font page or changes the font of the selected chart text.

font | The name of the font to be used.
font_style | The style to be used. The possible values are:
"Regular" | Removes the bold and italic attributes.
"Bold" | Sets the font to bold.
"Italic" | Sets the font to italic.
"Bold Italic" | Sets the font to bold and italic.
| If this parameter is omitted the style is not changed.
size | The point size to be used. If this parameter is omitted the size is not changed.
strikethrough | Sets the strikethrough attribute. The possible values are:
FALSE | The font does not have the strikethrough attribute
TRUE | The font has the strikethrough attribute
| If this parameter is omitted the strikethrough attribute is not changed.
superscript | Not currently implemented.
subscript | Not currently implemented.
outline | Not currently implemented.
shadow | Not currently implemented.
underline | The underline style to be used. The possible values are:
0 | None
1 | Single
2 | Double (not currently implemented)
3 | Single accounting (not currently implemented)
4 | Double accounting (not currently implemented)
| If this parameter is omitted the underline style is not changed.
color | The color to be used. The possible values are:
0 | Automatic
1 to 56 | One of the colors displayed in the Format Cells dialog Font page
| If this parameter is omitted the color is not changed.
normal | Not currently implemented.
background | Not currently implemented.
start_char | Not currently implemented.
char_count | Not currently implemented.

FOPEN(file_text, [access_num])

Opens a file for reading or writing. The return value is a file number that can be passed as a parameter to the FREAD, FREADLN, FWRITE, FWRITELN, FPOS, FSIZE and FCLOSE functions.

file_text | The name of the file to open.
access_num | The access required to the file. The possible values are:
1 | Open the file for reading and writing. The file must already exist.
2 | Open the file for reading only. The file must already exist.
3 | Create a new file for reading and writing. The file will be cleared if it already exists.
| If this parameter is omitted it defaults to 1.

FORMAT.LEGEND(position_num)

Changes the active chart legend placement.

position_num | The placement of the legend. The possible values are:
1 | Bottom
2 | Corner
3 | Top
4 | Right
5 | Left

FORMAT.MOVE([x_offset], [y_offset], [reference])

Moves the currently selected object.

x_offset | The offset in points of the top-left corner of the object from the left edge of the cell. If this parameter is omitted it defaults to 0.
y_offset | The offset in points of the top-left corner of the object from the top edge of the cell. If this parameter is omitted it defaults to 0.
reference | The cell containing the top-left corner of the object. If this parameter is omitted it defaults to A1.

FORMAT.NUMBER(format_text)

Simulates the Format Cells dialog Number page.

format_text | The number format to be used.

FORMAT.SHAPE(vertex_num, insert, [reference], [x_offset], [y_offset])

Inserts, moves or deletes polygon points.

vertex_num | The number of the vertex to be inserted, moved or deleted.
insert | Whether the vertex is to be inserted, moved or deleted. The possible values are:
FALSE | The vertex is to be deleted (if none of the subsequent parameters are entered) or moved (if any of the remaining parameters are entered)
TRUE | The vertex is to be inserted
reference | The cell from which the insert or move position is measured. If this parameter is omitted it defaults to the top left corner of the polygon.
x_offset | The horizontal offset from the reference, measured in points. If this parameter is omitted it defaults to zero.
y_offset | The vertical offset from the reference, measured in points. If this parameter is omitted it defaults to zero.

FORMAT.TEXT([x_align], [y_align], [orient_num], [auto_text], [auto_size], [show_key], [show_value], [add_indent])

Formats the text in a text box or command button.

x_align | The horizontal alignment. The possible values are:
1 | Left
2 | Center
3 | Right
4 | Justify
| If this parameter is omitted the setting is not changed.
y_align | The vertical alignment. The possible values are:
1 | Top
2 | Center
3 | Bottom
4 | Justify
| If this parameter is omitted the setting is not changed.
orient_num | The text orientation (not currently implemented).
auto_text | Resets data label text (not currently implemented).
auto_size | Resets the border around the text (not currently implemented).
show_key | Shows legend key for data labels (not currently implemented).
show_value | Shows values for data labels (not currently implemented).
add_indent | Used for Far East versions only (not currently implemented).

FORMULA(formula_text, [reference])

Enters the specified formula in the specified reference. Any references in the formula must be in R1C1 format. The FORMULA.CONVERT function can be used to convert references.

formula_text | The formula to be inserted.
reference | The reference where formula to be inserted. If this parameter is omitted it defaults to the cursor position on the active worksheet.

FORMULA.ARRAY(formula_text, [reference])

Enters the specified array formula in the specified reference. Any references in the formula must be in R1C1 format. The FORMULA.CONVERT function can be used to convert references.

formula_text | The formula to be inserted.
reference | The reference where formula to be inserted. If this parameter is omitted it defaults to the current selection on the active worksheet.

FORMULA.CONVERT(formula_text, from_a1, [to_a1], [to_ref_type], [rel_to_ref])

Converts the references in the specified formula from one type to another.

formula_text | The formula to be converted.
from_a1 | Whether references in the formula are in A1 or R1C1 format. The possible values are:
FALSE | The references are in R1C1 format
TRUE | The references are in A1 format
to_a1 | Whether references in the formula are converted to A1 or R1C1 format. The possible values are:
FALSE | The references are converted to R1C1 format
TRUE | The references are converted to A1 format
| If this parameter is omitted the format is not changed.
to_ref_type | Whether references in the formula are converted to use absolute or relative reference type. The possible values are:
1 | Absolute row, absolute column
2 | Absolute row, relative column
3 | Relative row, absolute column
4 | Relative row, relative column
| If this parameter is omitted the reference type is not changed.
rel_to_ref | The cell that R1C1 references are relative to. If this parameter is omitted it defaults to the cell containing this function.

FORMULA.FILL(formula_text, [reference])

Enters the specified formula in the specified range. Any references in the formula must be in R1C1 format. The FORMULA.CONVERT function can be used to convert references.

formula_text | The formula to be inserted.
reference | The reference where formula to be inserted. If this parameter is omitted it defaults to the current selection on the active worksheet.

FORMULA.FIND(text, in_num, at_num, by_num, [dir_num], [match_case])

Simulates the Edit Find menu option.

text | The text that you want to find.
in_num | Where you want to look for the text. The possible values are:
1 | Formulas
2 | Values
3 | Comments
at_num | Whether to match the text against all or part of a cell. The possible values are:
1 | Entire cells only
2 | Any part of the text in a cell
by_num | Whether to search by rows or by columns. The possible values are:
1 | By rows
2 | By columns
dir_num | Whether to search for the next or previous match. The possible values are:
1 | Next
2 | Previous
| If this parameter is omitted it defaults to 1.
match_case | Whether the search is case-sensitive. The possible values are:
TRUE | The search is case-sensitive
FALSE | The search is not case-sensitive
| If this parameter is omitted it defaults to FALSE.

FORMULA.FIND.NEXT()

Finds the next cell based on the current criteria.

FORMULA.FIND.PREV()

Finds the previous cell based on the current criteria.

FORMULA.GOTO([reference], [corner])

Simulates the Edit Goto menu option.

reference | The cells that are to be selected. If the sheet name is omitted then it defaults to the currently active sheet. If this parameter is omitted it defaults to the sheet and cells that were selected before the last goto command.
corner | Specifies whether the top-left corner of the selection is to be placed in the top-left corner of the window. The possible values are:
FALSE | The sheet is not scrolled to move the selection to the top-left corner of the window.
TRUE | The sheet is scrolled to move the selection to the top-left corner of the window.
| If this parameter is omitted it defaults to FALSE.

FORMULA.REPLACE(find_text, replace_text, [look_at], [look_by], [active_cell], [match_case])

Simulates the Edit Find/Replace menu option.

find_text | The text that you want to find.
replace_text | The text to replace the found text with.
look_at | Whether to match the text against all or part of a cell. The possible values are:
1 | Entire cells only
2 | Any part of the text in a cell
| If this parameter is omitted it defaults to 1.
look_by | Whether to search by rows or by columns. The possible values are:
1 | By rows
2 | By columns
| If this parameter is omitted it defaults to 1.
active_cell | Whether to replace in just the current cell or in the whole sheet. The possible values are:
TRUE | Text in the active cell is replaced
FALSE | Text in the whole sheet is replaced
| If this parameter is omitted it defaults to FALSE.
match_case | Whether the search is case-sensitive. The possible values are:
TRUE | The search is case-sensitive
FALSE | The search is not case-sensitive
| If this parameter is omitted it defaults to the value last used.

FPOS(file_num, [position_num])

Returns the current read/write position in a file, and optionally allows you to change it.

file_num | The file number that was returned by the FOPEN function.
position_num | The location where the next read or write will occur.
| If this parameter is omitted the current position is not changed.

FREAD(file_num, num_chars)

Returns a string of characters from a file.

file_num | The file number that was returned by the FOPEN function.
num_chars | The number of characters to read.

FREADLN(file_num)

Returns a string of characters from a file, up to the next end of line marker.

file_num | The file number that was returned by the FOPEN function.

FREEZE.PANES([logical], [col_split], [row_split])

Simulates the Format Freeze Panes menu option.

logical | Whether to freeze or unfreeze the panes. The possible values are:
FALSE | Unfreeze the panes
TRUE | Freeze the panes
| If this parameter is omitted the setting is toggled.
col_split | The number of columns to be frozen. If this parameter is omitted all columns left of the cursor cell are frozen.
row_split | The number of rows to be frozen. If this parameter is omitted all rows above the cursor cell are frozen.

FSIZE(file_num)

Returns a size of a file.

file_num | The file number that was returned by the FOPEN function.

FULL.SCREEN([logical])

Simulates the Format Program Full screen menu option.

logical | Whether to switch to or from full screen mode. The possible values are:
FALSE | Switch from full screen mode
TRUE | Switch to full screen mode
| If this parameter is omitted it defaults to TRUE.

FWRITE(file_num, text)

Writes a string of characters to a file.

file_num | The file number that was returned by the FOPEN function.
text | The text to be written.

FWRITELN(file_num, text)

Writes a string of characters to a file, followed by an end of line marker.

file_num | The file number that was returned by the FOPEN function.
text | The text to be written.

GALLERY.AREA(type_num, [delete_overlay])

Changes the active chart to an area chart.

type_num | The format to be applied to the chart. The possible values are:
1 | no horizontal gridlines, no vertical gridlines, linear y axis, no data labels, no drop lines
2 | no horizontal gridlines, no vertical gridlines, 100% y axis, no data labels, no drop lines (not currently implemented)
3 | no horizontal gridlines, no vertical gridlines, linear y axis, no data labels, drop lines (not currently implemented)
4 | horizontal gridlines, vertical gridlines, linear y axis, no data labels, no drop lines
5 | no horizontal gridlines, no vertical gridlines, linear y axis, data labels, no drop lines
delete_overlay | Whether to delete any overlays (not currently implemented).

GALLERY.BAR(type_num, [delete_overlay])

Changes the active chart to a bar chart.

type_num | The format to be applied to the chart. The possible values are:
1 | no horizontal gridlines, no vertical gridlines, linear x axis, no data labels, not stacked, no series lines
2 | no horizontal gridlines, no vertical gridlines, linear x axis, no data labels, not stacked, no series lines
3 | no horizontal gridlines, no vertical gridlines, linear x axis, no data labels, stacked, no series lines (not currently implemented)
4 | no horizontal gridlines, no vertical gridlines, linear x axis, no data labels, not stacked, no series lines
5 | no horizontal gridlines, no vertical gridlines, 100% x axis, no data labels, stacked, no series lines (not currently implemented)
6 | no horizontal gridlines, vertical gridlines, linear x axis, no data labels, not stacked, no series lines
7 | no horizontal gridlines, no vertical gridlines, linear x axis, data values, not stacked, no series lines
8 | no horizontal gridlines, no vertical gridlines, linear x axis, no data labels, not stacked, no series lines
9 | no horizontal gridlines, no vertical gridlines, linear x axis, no data labels, stacked, series lines (not currently implemented)
10 | no horizontal gridlines, no vertical gridlines, 100% x axis, no data labels, stacked, series lines (not currently implemented)
delete_overlay | Whether to delete any overlays (not currently implemented).

GALLERY.COLUMN(type_num, [delete_overlay])

Changes the active chart to a column chart.

type_num | The format to be applied to the chart. The possible values are:
1 | no horizontal gridlines, no vertical gridlines, linear y axis, no data labels, not stacked, no series lines
2 | no horizontal gridlines, no vertical gridlines, linear y axis, no data labels, not stacked, no series lines
3 | no horizontal gridlines, no vertical gridlines, linear y axis, no data labels, stacked, no series lines (not currently implemented)
4 | no horizontal gridlines, no vertical gridlines, linear y axis, no data labels, not stacked, no series lines
5 | no horizontal gridlines, no vertical gridlines, 100% y axis, no data labels, stacked, no series lines (not currently implemented)
6 | horizontal gridlines, no vertical gridlines, linear y axis, no data labels, not stacked, no series lines
7 | no horizontal gridlines, no vertical gridlines, linear y axis, data values, not stacked, no series lines
8 | no horizontal gridlines, no vertical gridlines, linear y axis, no data labels, not stacked, no series lines
9 | no horizontal gridlines, no vertical gridlines, linear y axis, no data labels, stacked, series lines (not currently implemented)
10 | no horizontal gridlines, no vertical gridlines, 100% y axis, no data labels, stacked, series lines (not currently implemented)
delete_overlay | Whether to delete any overlays (not currently implemented).

GALLERY.DOUGHNUT(type_num, [delete_overlay])

Changes the active chart to a doughnut chart.

type_num | The format to be applied to the chart. The possible values are:
1 | no data labels, not exploded
2 | data labels, not exploded
3 | no data labels, first segment exploded (not currently implemented)
4 | no data labels, all segments exploded (not currently implemented)
5 | data labels, not exploded
6 | data percentages, not exploded
7 | data labels and percentages, not exploded
delete_overlay | Whether to delete any overlays (not currently implemented).

GALLERY.LINE(type_num, [delete_overlay])

Changes the active chart to a line chart.

type_num | The format to be applied to the chart. The possible values are:
1 | markers, straight lines, no horizontal gridlines, no vertical gridlines, linear y axis, no hi-lo lines
2 | no markers, straight lines, no horizontal gridlines, no vertical gridlines, linear y axis, no hi-lo lines
3 | markers, no lines, no horizontal gridlines, no vertical gridlines, linear y axis, no hi-lo lines
4 | markers, straight lines, horizontal gridlines, no vertical gridlines, linear y axis, no hi-lo lines
5 | markers, straight lines, horizontal gridlines, vertical gridlines, linear y axis, no hi-lo lines
6 | markers, straight lines, horizontal gridlines, no vertical gridlines, logarithmic y axis, no hi-lo lines
7 | markers, no lines, no horizontal gridlines, no vertical gridlines, linear y axis, hi-lo lines (not currently implemented)
8 | high-low-close stock chart (not currently implemented)
9 | open-high-low-close stock chart (not currently implemented)
10 | no markers, curved lines, no horizontal gridlines, no vertical gridlines, linear y axis, no hi-lo lines (not currently implemented)
delete_overlay | Whether to delete any overlays (not currently implemented).

GALLERY.PIE(type_num, [delete_overlay])

Changes the active chart to a pie chart.

type_num | The format to be applied to the chart. The possible values are:
1 | no data labels, not exploded
2 | data labels, not exploded
3 | no data labels, first segment exploded (not currently implemented)
4 | no data labels, all segments exploded (not currently implemented)
5 | data labels, not exploded
6 | data percentages, not exploded
7 | data labels and percentages, not exploded
delete_overlay | Whether to delete any overlays (not currently implemented).

GALLERY.RADAR(type_num, [delete_overlay])

Changes the active chart to a radar chart.

type_num | The format to be applied to the chart. The possible values are:
1 | markers, no horizontal gridlines, linear y axis, not filled
2 | no markers, no horizontal gridlines, linear y axis, not filled
3 | no markers, no horizontal gridlines, no y axis, not filled
4 | no markers, horizontal gridlines, linear y axis, not filled
5 | no markers, horizontal gridlines, logarithmic y axis, not filled
6 | no markers, no horizontal gridlines, linear y axis, filled (not currently implemented)
delete_overlay | Whether to delete any overlays (not currently implemented).

GALLERY.SCATTER(type_num, [delete_overlay])

Changes the active chart to a scatter (XY) chart.

type_num | The format to be applied to the chart. The possible values are:
1 | markers, no lines, no horizontal gridlines, no vertical gridlines, linear y axis, linear x axis
2 | markers, straight lines, no horizontal gridlines, no vertical gridlines, linear y axis, linear x axis
3 | markers, no lines, horizontal gridlines, vertical gridlines, linear y axis, linear x axis
4 | markers, no lines, horizontal gridlines, no vertical gridlines, logarithmic y axis, linear x axis
5 | markers, no lines, horizontal gridlines, vertical gridlines, logarithmic y axis, logarithmic x axis
6 | no markers, curved lines, no horizontal gridlines, no vertical gridlines, linear y axis, linear x axis (not currently implemented)
delete_overlay | Whether to delete any overlays (not currently implemented).

GET.CELL(type_num, [reference])

Returns information about the specified cell.

type_num | The type of information to return. The possible values are:
1 | Absolute reference of the upper-left cell in reference, as text
2 | Row number of the top cell in reference
3 | Column number of the leftmost cell in reference
4 | Same as TYPE(reference)
5 | Contents of reference
6 | Formula in reference, as text
7 | Number format of the cell, as text
8 | Number indicating the cell's horizontal alignment
9 | Number indicating the left-border style assigned to the cell
10 | Number indicating the right-border style assigned to the cell
11 | Number indicating the top-border style assigned to the cell
12 | Number indicating the bottom-border style assigned to the cell
13 | Number from 0 to 18, indicating the pattern of the selected cell
14 | If the cell is locked, returns TRUE; otherwise, returns FALSE
15 | If the cell's formula is hidden, returns TRUE; otherwise, returns FALSE
16 | A two-item horizontal array containing the width of the active cell and a logical value indicating whether the cell's width is set to change as the standard width changes (TRUE) or is a custom width (FALSE)
17 | Row height of cell, in points
18 | Name of font, as text
19 | Size of font, in points
20 | If the cell is bold returns TRUE; otherwise returns FALSE
21 | If the cell is italic returns TRUE; otherwise returns FALSE
22 | If the cell is underlined returns TRUE; otherwise returns FALSE
23 | If the cell is struck out returns TRUE; otherwise returns FALSE
24 | Font color of cell, as a number in the range 1 to 56. If font color is automatic, returns 0
25 | If the cell is outlined returns TRUE; otherwise returns FALSE
26 | If the cell is shadowed returns TRUE; otherwise returns FALSE
32 | Name of the workbook and sheet containing the cell
33 | If the cell is formatted to wrap, returns TRUE; otherwise, returns FALSE
34 | Left-border color as a number in the range 1 to 56. If color is automatic, returns 0
35 | Right-border color as a number in the range 1 to 56. If color is automatic, returns 0
36 | Top-border color as a number in the range 1 to 56. If color is automatic, returns 0
37 | Bottom-border color as a number in the range 1 to 56. If color is automatic, returns 0
38 | Shade foreground color as a number in the range 1 to 56. If color is automatic, returns 0
39 | Shade background color as a number in the range 1 to 56. If color is automatic, returns 0
42 | The horizontal distance, measured in points, from the left edge of the active window to the left edge of the cell
43 | The vertical distance, measured in points, from the top edge of the active window to the top edge of the cell
44 | The horizontal distance, measured in points, from the left edge of the active window to the right edge of the cell
45 | The vertical distance, measured in points, from the top edge of the active window to the bottom edge of the cell
46 | If the cell contains a comment, returns TRUE; otherwise, returns FALSE
48 | If the cell contains a formula, returns TRUE; if a constant, returns FALSE
49 | If the cell is part of an array, returns TRUE; otherwise, returns FALSE
50 | Number indicating the cell's vertical alignment
51 | Number indicating the cell's text orientation
53 | Contents of the cell as it is currently displayed, as text
57 | If the cell is superscript returns TRUE; otherwise returns FALSE
58 | Returns the font style of the cell as text
59 | Returns the number for the underline style
60 | If the cell is subscript returns TRUE; otherwise returns FALSE
62 | The book and sheet name in the form "[Book1.xls]Sheet1"
66 | The name of the workbook containing the cell in the form "Book1.xls"
reference | The cell whose information is to be returned. If this parameter is omitted it defaults to the active cell.

GET.DOCUMENT(type_num, [name_text])

Returns information about the specified file.

type_num | The type of information to return. The possible values are:
1 | The book and sheet name in the form "[Book1.xls]Sheet1"
2 | The path of the directory containing the file, or #N/A is the file has not been saved
3 | A number indicating the active sheet type: 1=worksheet, 2=chart sheet, 3=macro sheet, 4=info window, 5=reserved, 6=module, 7=dialog
4 | A logical value indicating whether the file has been changed since last save
7 | A logical value indicating whether the sheet is protected
9 | For worksheets, the number of the first used row (0 if empty) For chart sheets, a number indicating the chart type: 1=area, 2=bar, 3=column, 4=line, 5=pie, 6=scatter, 7=3d area, 8=3d column, 9=3d line, 10=3d pie, 11=radar, 12=3d bar, 13=3d surface, 14=doughnut
10 | For worksheets, the number of the last used row (0 if empty)
11 | For worksheets, the number of the first used column (0 if empty) For chart sheets, the chart series count
12 | For worksheets, the number of the last used column (0 if empty)
13 | The number of windows
14 | A number indicating the calculation mode: 1=automatic, 2=automatic except tables, 3=manual
20 | A logical value corresponding to the calculation - 1904 date system setting
37 | A number indicating the file type: 1=normal, 3=text, 6=CSV, 17=template
42 | A horizontal array of the objects on a sheet, or #N/A if there are none
48 | A number indicating the standard column width in characters
68 | The book name in the form "Book1.xls"
76 | The book and sheet name in the form "[Book1.xls]Sheet1"
85 | A logical value indicating whether the Advanced Filter is on
86 | A logical value indicating whether the AutoFilter is on
87 | The active sheet number
88 | The name of the active workbook in the form "Book1.xls"
name_text | The file whose information is to be returned. If this parameter is omitted it defaults to the active file.

GET.FORMULA(reference)

Returns the contents of a cell as a string. Any references in a formula will be returned in R1C1 format.

reference | The cell whose contents are to be returned.

GET.NAME(name_text, [info_type])

Returns information about a name.

name_text | A string containing the name.
info_type | The type of information to be returned. The possible values are:
1 | Return the definition.
2 | Return TRUE if it is a local name, or FALSE if it is a global name.
| If this parameter is omitted it defaults to 1.

GET.NOTE([cell_ref], [start_char], [num_chars])

Returns the text of a comment.

cell_ref | The reference of the cell containing the comment. If this parameter is omitted it defaults to the active cell.
start_char | The position of the first character to be returned. If this parameter is omitted it defaults to 1.
num_chars | The length of the text to be returned. If this parameter is omitted it defaults to the length of the comment.

GET.OBJECT(type_num, [object_id], [start_num], [count_num], [item_index])

Returns information about the specified object.

type_num | The type of information to return. The possible values are:
1 | object type as number:
| 1 line
| 2 rectangle
| 3 oval
| 6 text box
| 7 command button
| 11 check box
| 12 option button
| 14 label
| 16 spinner
| 17 scroll bar
| 18 list box
| 19 group box
| 20 drop down box
2 | locked
3 | z-order
4 | top-left cell as R1C1 reference
5 | x-offset of top-left corner in points
6 | y-offset of top-left corner in points
7 | bottom-right cell as R1C1 reference
8 | x-offset of bottom-right corner in points
9 | y-offset of bottom-right corner in points
10 | reference of the macro as text
11 | object positioning as number:
| 1 move and size with cells
| 2 move but don't size with cells
| 3 don't move or size with cells
12 | object text from start_num for count_num characters
13 | font name
14 | font size
15 | bold
16 | italic
17 | underline
18 | strikethrough
19 | outline |
20 | shadow |
21 | text color |
22 | horizontal alignment as number: |
| 1 left
| 2 center
| 3 right
| 4 justified
23 | vertical alignment as number: |
| 1 top
| 2 center
| 3 bottom
| 4 justified
26 | visible |
48 | linked cell reference as text |
49 | object id number |
50 | object class name |
51 | object name (class name and id number) |
56 | enabled |
62 | current value |
63 | minimum value |
64 | maximum value |
65 | increment value |
66 | page value |
71 | list/combo entries |
73 | input range reference as text |
74 | dropdown lines |
75 | draw 3d |
object_id | The object identifier. If this parameter is omitted it defaults to the currently selected object on the active worksheet.
start_num | The text substring start position for type_num 12. If this parameter is omitted it defaults to 1.
count_num | The text substring length for type_num 12. If this parameter is omitted it defaults to 255.
item_index | This parameter is not currently used.

GET.WINDOW(type_num, [window_text])

Returns information about the specified window.

type_num | The type of information to return. The possible values are:
1 | The book and sheet name in the form "[Book1.xls]Sheet1".
2 | The number of the window.
3 | The x-position in points from the left edge of the workspace to the left edge of the window.
4 | The y-position in points from the bottom of the formula bar to the top edge of the window.
5 | The window width, measured in points.
6 | The window height, measured in points.
7 | If the window is hidden then TRUE, otherwise FALSE.
8 | If formulas are displayed then TRUE, otherwise FALSE.
9 | If gridlines are displayed then TRUE, otherwise FALSE.
10 | If headings are displayed then TRUE, otherwise FALSE.
11 | If zeros are displayed then TRUE, otherwise FALSE.
12 | The gridline color (1-56) or 0 if automatic.
13 | The leftmost column number of each pane, in a horizontal array.
14 | The top row number of each pane, in a horizontal array.
15 | The number of columns in each pane, in a horizontal array.
16 | The number of rows in each pane, in a horizontal array.
17 | The split type: 1=none, 2=vertical, 3=horizontal, 4=both.
18 | If the window has a vertical split then TRUE, otherwise FALSE.
19 | If the window has a horizontal split then TRUE, otherwise FALSE.
20 | If the window is maximized then TRUE, otherwise FALSE.
21 | Reserved
22 | If View Outline Symbols is selected then TRUE, otherwise FALSE.
23 | The window status: 1=restored, 2=minimized, 3=maximized.
24 | If window panes are frozen then TRUE, otherwise FALSE.
25 | The zoom percentage.
26 | If horizontal scrollbars are displayed then TRUE, otherwise FALSE.
27 | If vertical scrollbars are displayed then TRUE, otherwise FALSE.
28 | The ratio of the sheet tabs to the horizontal scrollbar.
29 | If sheet tabs are displayed then TRUE, otherwise FALSE.
30 | The book and sheet name in the form "[Book1.xls]Sheet1".
31 | The book name in the form "Book1.xls".
window_text | The window whose information is to be returned. If this parameter is omitted it defaults to the active window.

GET.WORKBOOK(type_num, [name_text])

Returns information about the specified file.

type_num | The type of information to return. The possible values are:
1 | A horizontal array of sheet names in the form "[Book1.xls]Sheet1"
4 | The number of sheets in the workbook
16 | The workbook name in the form "Book1.xls"
20 | A number indicating the file type: 1=normal, 3=text, 6=CSV, 17=template
24 | A logical value indicating whether the file has been changed since last save
38 | The name of the active sheet in the form "Sheet1"
name_text | The file whose information is to be returned. If this parameter is omitted it defaults to the active file.

GET.WORKSPACE(type_num)

Returns information about the workspace.

type_num | The type of information to return. The possible values are:
6 | If the status bar is shown then TRUE, otherwise FALSE
7 | If the formula bar is shown then TRUE, otherwise FALSE
21 | If the standard toolbar is shown then TRUE, otherwise FALSE
26 | Name of user
27 | Name of organisation
32 | The full path to the application
40 | If screen updating is on then TRUE, otherwise FALSE
50 | If full screen mode is on then TRUE, otherwise FALSE

GOAL.SEEK(target_cell, target_value, variable_cell)

Simulates the Format Data Goal seek menu option.

target_cell | The cell that is required to be a certain value. It must be a single cell containing a formula that returns a numeric result.
target_value | The value that the target cell needs to reach.
variable_cell | The cell whose value can be changed. It must be a single cell that either contains a number or is empty.

GRIDLINES([x_major], [x_minor], [y_major], [y_minor], [z_major], [z_minor], [2D_effect])

Changes the active chart gridlines.

x_major | Whether to draw the X-axis major gridlines. The possible values are:
FALSE | Do not draw the X-axis major gridlines.
TRUE | Do draw the X-axis major gridlines.
| If this parameter is omitted the setting is not changed.
x_minor | Whether to draw the X-axis minor gridlines (not currently implemented).
y_major | Whether to draw the Y-axis major gridlines. The possible values are:
FALSE | Do not draw the Y-axis major gridlines.
TRUE | Do draw the Y-axis major gridlines.
| If this parameter is omitted the setting is not changed.
y_minor | Whether to draw the Y-axis minor gridlines (not currently implemented).
z_major | Whether to draw the Z-axis minor gridlines (not currently implemented).
z_minor | Whether to draw the Z-axis minor gridlines (not currently implemented).
2D_effect | Whether to draw 2D gridlines on 3D charts (not currently implemented).

HIDE.OBJECT([object_id], [hide_logical])

Hides or shows an object.

object_id | The object to be hidden or shown. If this parameter is omitted the currently selected object is used.
hide_logical | Whether the object is hidden. The possible values are:
FALSE | The object is shown
TRUE | The object is hidden
| If this parameter is omitted it defaults to TRUE.

HLINE([num_columns])

Scrolls the worksheet horizontally by the specified number of columns.

num_columns | The number of columns to scroll. A negative number will scroll to the left. If this parameter is omitted it defaults to 1.

HPAGE([num_windows])

Scrolls the worksheet horizontally by the specified number of pages.

num_windows | The number of pages to scroll. A negative number will scroll to the left. If this parameter is omitted it defaults to 1.

HSCROLL(position, [col_logical])

Scrolls the worksheet horizontally to the specified position.

position | The proportional or absolute position to scroll to.
col_logical | Whether the position parameter represents a proportional or absolute column number. The possible values are:
FALSE | The position parameter is a number between 0 and 1 that represents how far across the worksheet to scroll to.
TRUE | The position parameter is a number between 1 and 256 that represents the column number to scroll to.
| If this parameter is omitted it defaults to FALSE.

INPUT(message_text, [type_num], [title_text], [default], [x_pos], [y_pos], [help_ref])

Displays a message in a dialog box with an area for user input and OK and Cancel buttons. If the OK button is pressed then the text entered by the user is returned. If the Cancel button is pressed then this function returns the value FALSE.

message_text | The message that you want displayed in the dialog box.
type_num | The acceptable data type(s) for the data that you want returned. It can be any combination of the following (to specify more than one value, add the numbers together):
0 | Formula
1 | Number
2 | Text
4 | Logical
8 | Reference
16 | Error
64 | Array
| If this parameter is omitted it defaults to 2.
title_text | The title to be used for the dialog box. If this parameter is omitted it defaults to "Input".
default | The text that you want to be initially displayed in the input area of the dialog box. If this parameter is omitted the input area will be blank.
x_pos | The initial x position on the screen where the dialog box will be displayed. If this parameter is omitted it defaults to the center of the screen. (Not currently implemented).
y_pos | The initial y position on the screen where the dialog box will be displayed. If this parameter is omitted it defaults to the center of the screen. (Not currently implemented).
help_ref | The name of help topic that is to be displayed if the user presses the Help button in the dialog box. If this parameter is omitted then no Help button is displayed. (Not currently implemented).

INSERT([shift_num])

Simulates the Insert Cells menu option.

shift_num | The way in which the cell insertion is to be processed. The possible values are:
1 | Shift cells right
2 | Shift cells down
3 | Insert entire rows
4 | Insert entire columns
| If this parameter is omitted it defaults to 2.

INSERT.TITLE([chart], [y_primary], [x_primary], [y_secondary], [x_secondary])

Attaches default text to the active chart. The SELECT and FORMULA functions can be used to change the text.

chart | Whether to add a default chart title. The possible values are:
FALSE | Delete any existing chart title.
TRUE | Add default chart title if one does not already exist.
| If this parameter is omitted the chart title is not changed.
y_primary | Whether to add a default primary y-axis title. The possible values are:
FALSE | Delete any existing primary y-axis title.
TRUE | Add default primary y-axis title if one does not already exist.
| If this parameter is omitted the primary y-axis title is not changed.
x_primary | Whether to add a default primary x-axis title. The possible values are:
FALSE | Delete any existing primary x-axis title.
TRUE | Add default primary x-axis title if one does not already exist.
| If this parameter is omitted the primary x-axis title is not changed.
y_secondary | Whether to add a default secondary y-axis title (not currently implemented).
x_secondary | Whether to add a default secondary x-axis title (not currently implemented).

LABEL.PROPERTIES([accel_text], [accel_text2], [3d_shading])

Changes the properties of a label or group box control.

accel_text | The accelerator key on a dialog sheet (not currently implemented).
accel_text2 | The second accelerator key on a dialog sheet (not currently implemented).
3d_shading | Whether to draw the control with 3d shading. The possible values are:
FALSE | 2d
TRUE | 3d
| If this parameter is omitted the setting is not changed.

LEGEND([logical])

Changes the active chart legend visibility.

logical | Whether to show the legend. The possible values are:
FALSE | Do not show the legend
TRUE | Do show the legend
| If this parameter is omitted it defaults to TRUE.

LISTBOX.PROPERTIES([range], [link], [drop_size], [multi_select], [3d_shading])

Changes the properties of a list box or combo box control.

range | The input range from which to fill the list. If this parameter is omitted the setting is not changed.
link | The cell that is updated by the control. If this parameter is omitted the link is not changed.
drop_size | The number of lines in the drop-down list of a combo box. If this parameter is omitted the setting is not changed.
multi_select | Whether to allow more than one list selection (not currently implemented).
3d_shading | Whether to draw the control with 3d shading. The possible values are:
FALSE | 2d
TRUE | 3d
| If this parameter is omitted the setting is not changed.

MESSAGE(logical, [text])

Displays a message on the status bar.

logical | Whether to display or hide messages. The possible values are:
TRUE | Display a message on the status bar.
FALSE | Remove any message from the status bar.
text | The message to be displayed. If this parameter is omitted it defaults to an empty string.

NAMES([document_text], [type_num], [match_text])

Returns a horizontal array containing defined names.

document_text | The name of the workbook containing the names. If this parameter is omitted it defaults to the active workbook.
type_num | The type of name to retrieve. The possible values are:
1 | Visible names
2 | Hidden names
3 | All names
| If this parameter is omitted it defaults to 1.
match_text | A template name that may contain wildcard characters. If this parameter is omitted all names will match.

NEW([type_num], [xy_series], [add_logical])

Simulates the File New menu option.

type_num | The type of workbook to create. The possible values are:
omitted | New workbook with 1 worksheet of the same type as the active worksheet.
1 | New workbook with 1 worksheet.
2 | New workbook with 1 chart based on the current selection (not currently implemented).
3 | New workbook with 1 macro sheet.
4 | New workbook with 1 international macro sheet (not currently implemented).
5 | New workbook based on Book.xlt or default template.
6 | New workbook with 1 VB module (not currently implemented).
7 | New workbook with 1 dialog sheet (not currently implemented).
file name | New workbook based on template file.
xy_series | How to interpret selected data for a new chart (not currently implemented).
add_logical | Whether to add the specified sheet to the current workbook (not currently implemented).

NOTE([add_text], [cell_ref], [start_char], [num_chars])

Simulates the Insert Comment menu option.

add_text | The text that is to be added. If this parameter is omitted it defaults to an empty string.
cell_ref | The cell where the comment is to be inserted. If this parameter is omitted it defaults to the active cell.
start_char | The start position in an existing comment where the new text is to be inserted. If this parameter is omitted it defaults to 1.
num_chars | The length of text in an existing comment that is to be replaced. If this parameter is omitted it defaults to the length of the existing text.

OBJECT.PROPERTIES([placement_type], [print_object])

Changes the properties of an object.

placement_type | How the object is attached to the cells. The possible values are:
1 | Move and size with cells
2 | Move but don't size with cells
3 | Don't move or size with cells
| If this parameter is omitted the setting is not changed.
print_object | Whether the object can be printed. The possible values are:
FALSE | The object is not printed
TRUE | The object is printed
| If this parameter is omitted the setting is not changed.

ON.DOUBLECLICK([sheet_text], [macro_text])

Specifies a macro to be run when a cell is double-clicked.

sheet_text | The name of the sheet for which the macro is to be run. If this parameter is omitted then the macro will be run for all sheets.
macro_text | A string containing a defined name or R1C1 reference indicating the macro that is to be run. If this parameter is omitted then no macro will be run.

ON.ENTRY([sheet_text], [macro_text])

Specifies a macro to be run when data is entered.

sheet_text | The name of the sheet for which the macro is to be run. If this parameter is omitted then the macro will be run for all sheets.
macro_text | A string containing a defined name or R1C1 reference indicating the macro that is to be run. If this parameter is omitted then no macro will be run.

ON.SHEET([sheet_text], [macro_text], [activate_logical])

Specifies a macro to be run when a sheet is activated or deactivated.

sheet_text | The name of the sheet for which the macro is to be run. If this parameter is omitted then the macro will be run for all sheets.
macro_text | A string containing a defined name or R1C1 reference indicating the macro that is to be run. If this parameter is omitted then no macro will be run.
activate_logical | Specifies whether the macro is to be run when the sheet is activated or deactivated. The possible values are:
TRUE | The macro will be run when the sheet is activated.
FALSE | The macro will be run when the sheet is deactivated.
| If this parameter is omitted it defaults to TRUE.

OPEN(file_text, [update_links], [read_only], [format], [prot_pwd], [write_res_pwd], [ignore_rorec], [file_origin], [custom_delimit], [add_logical], [editable], [file_access], [notify_logical], [converter])

Simulates the File Open menu option.

file_text | The name of the file to be opened.
update_links | Whether to update external references. The possible values are:
0 | Do not update any references
1 | Update external references
2 | Update remote references (not currently implemented)
3 | Update external and remote references (not currently implemented)
| If this parameter is omitted and external references exist then a prompt will be displayed.
read_only | Whether to open the file as read-only (not currently implemented).
format | The character used as a delimiter for text files. The possible values are:
1 | Tab
2 | Comma
3 | Space
4 | Semicolon
5 | Nothing
6 | Custom (specified in the custom_delimit parameter)
| If this parameter is omitted the text file delimiter will be determined from the file extension.
prot_pwd | The password required to unprotect a file (not currently implemented).
write_res_pwd | The password required to open a read-only file for writing (not currently implemented).
ignore_rorec | Whether to suppress the display of the read-only recommended message (not currently implemented).
file_origin | The operating system where the file originated (not currently implemented).
custom_delimit | The character used as a custom delimiter for text files.
add_logical | Whether to add the specified file to the current workbook (not currently implemented).
editable | Whether a template file should be opened in read-write mode (not currently implemented).
file_access | Whether to change the access of a currently open file (not currently implemented).
notify_logical | Whether to send a message when a shared workbook becomes available (not currently implemented).
converter | Overrides the default file type (not currently implemented).

OPEN.DIALOG([file_filter], [button_text], [title], [filter_index])

Returns a file name from the File Open dialog box, or FALSE if Cancel is selected.

file_filter | One or more file filters, separated by commas. If this parameter is omitted it defaults to "All Files (*.*), *.*".
button_text | Replacement text for the Open button (not currently implemented).
title | Replacement text for the dialog box title. If this parameter is omitted the title is not changed.
filter_index | The index of the initial file filter. If this parameter is omitted it defaults to 1

OPTIONS.VIEW([formula], [status], [notes], [show_info], [object_num], [page_breaks], [formulas], [gridlines], [color_num], [headings], [outline], [zeros], [hor_scroll], [vert_scroll], [sheet_tabs])

Changes the program, file or sheet view options.

formula | Specifies whether the formula bar is displayed. The possible values are:
FALSE | The formula bar is not displayed
TRUE | The formula bar is displayed
| If this parameter is omitted the setting is not changed.
status | Specifies whether the status bar is displayed. The possible values are:
FALSE | The status bar is not displayed
TRUE | The status bar is displayed
| If this parameter is omitted the setting is not changed.
notes | Specifies whether comments and indicators are displayed (not currently implemented).
show_info | Specifies whether the info window is displayed (not currently implemented).
object_num | Specifies how objects are displayed (not currently implemented).
page_breaks | Specifies whether page breaks are displayed (not currently implemented).
formulas | Specifies whether to display formulas or values in cells. The possible values are:
FALSE | Values are displayed
TRUE | Formulas are displayed
| If this parameter is omitted the setting is not changed.
gridlines | Specifies whether gridlines are displayed. The possible values are:
FALSE | Gridlines are not displayed
TRUE | Gridlines are displayed
| If this parameter is omitted the setting is not changed.
color_num | Specifies the color to be used for drawing gridlines (not currently implemented).
headings | Specifies whether row and column headings are displayed. The possible values are:
FALSE | Row and column headings are not displayed
TRUE | Row and column headings are displayed
| If this parameter is omitted the setting is not changed.
outline | Specifies whether outline symbols are displayed (not currently implemented).
zeros | Specifies whether zero values are displayed (not currently implemented).
hor_scroll | Specifies whether the horizontal scroll bar is displayed. The possible values are:
FALSE | The horizontal scroll bar is not displayed
TRUE | The horizontal scroll bar is displayed
| If this parameter is omitted the setting is not changed.
vert_scroll | Specifies whether the vertical scroll bar is displayed. The possible values are:
FALSE | The vertical scroll bar is not displayed
TRUE | The vertical scroll bar is displayed
| If this parameter is omitted the setting is not changed.
sheet_tabs | Specifies whether the sheet tabs are displayed. The possible values are:
FALSE | The sheet tabs are not displayed
TRUE | The sheet tabs are displayed
| If this parameter is omitted the setting is not changed.

PASTE([to_reference])

Simulates the Edit Paste menu option.

to_reference | The cells where the copied information is to be pasted. If this parameter is omitted it defaults to the current selection on the active worksheet.

PASTE.SPECIAL([paste_num], [operation_num], [skip_blanks], [transpose])

Simulates the Edit Paste Special menu option.

paste_num | The type of information to be pasted. The possible values are:
1 | All
2 | Formulas
3 | Values
4 | Formats
5 | Comments
6 | All except borders
| If this parameter is omitted it defaults to 1.
operation_num | The way in which the data being pasted is merged with existing data. The possible values are:
1 | None
2 | Add
3 | Subtract
4 | Multiply
5 | Divide
| If this parameter is omitted it defaults to 1.
skip_blanks | Whether to ignore blank cells in the data being pasted. The possible values are:
FALSE | Blank cells are included.
TRUE | Blank cells are skipped.
| If this parameter is omitted it defaults to FALSE.
transpose | Whether to transpose the data being pasted. The possible values are:
FALSE | Data is not transposed.
TRUE | Data is transposed.
| If this parameter is omitted it defaults to FALSE.

PATTERNS([apattern], [afore], [aback])

Simulates the Format Cells dialog Patterns page.

apattern | The number of the pattern to be applied. The possible values are:
0 | No pattern
1 | Solid
2 | 50% Gray
3 | 75% Gray
4 | 25% Gray
5 | Horizontal Stripe
6 | Vertical Stripe
7 | Reverse Diagonal Stripe
8 | Diagonal Stripe
9 | Diagonal Crosshatch
10 | Thick Diagonal Crosshatch
11 | Thin Horizontal Stripe
12 | Thin Vertical Stripe
13 | Thin Reverse Diagonal Stripe
14 | Thin Diagonal Stripe
15 | Thin Horizontal Crosshatch
16 | Thin Diagonal Crosshatch
17 | 12.5% Gray
18 | 6.25% Gray
| If this parameter is omitted the setting is not changed.
afore | The number of the foreground color to be applied. The possible values are:
1 to 56 | One of the colors displayed in the Format Cells dialog Patterns page
| If this parameter is omitted the setting is not changed.
aback | The number of the background color to be applied. The possible values are:
1 to 56 | One of the colors displayed in the Format Cells dialog Patterns page
| If this parameter is omitted the setting is not changed.

PATTERNS([lauto], [lstyle], [lcolor], [lwt], [hwidth], [hlength], [htype])

Changes the attributes of the selected line.

lauto | The line setting. The possible values are:
0 | Custom
1 | Automatic
2 | None
| If this parameter is omitted the setting is not changed.
lstyle | The line style (not currently implemented).
lcolor | The line color. The possible values are:
1 to 56 | One of the colors displayed in the Format Cells dialog Patterns page
| If this parameter is omitted the setting is not changed.
lwt | The line weight (not currently implemented).
hwidth | The arrowhead width (not currently implemented).
hlength | The arrowhead length (not currently implemented).
htype | The arrowhead type. The possible values are:
1 | None
2 | Open
3 | Closed
4 | Double open
5 | Double closed
| If this parameter is omitted the setting is not changed.

PATTERNS([bauto], [bstyle], [bcolor], [bwt], [shadow], [aauto], [apattern], [afore], [aback], [rounded], [newui])

Changes the attributes of the selected text box, rectangle or oval.

bauto | The border setting. The possible values are:
0 | Custom
1 | Automatic
2 | None
| If this parameter is omitted the setting is not changed.
bstyle | The border style (not currently implemented).
bcolor | The border color. The possible values are:
1 to 56 | One of the colors displayed in the Format Cells dialog Patterns page
| If this parameter is omitted the setting is not changed.
bwt | The border weight (not currently implemented).
shadow | Whether to apply a shadow to the object (not currently implemented).
aauto | The area setting. The possible values are:
0 | Custom
1 | Automatic
2 | None
| If this parameter is omitted the setting is not changed.
apattern | The area pattern (not currently implemented).
afore | The area foreground color. The possible values are:
1 to 56 | One of the colors displayed in the Format Cells dialog Patterns page
| If this parameter is omitted the setting is not changed.
aback | The area background color (not currently implemented).
rounded | Whether to draw the object with rounded corners (not currently implemented).
newui | Whether to use the new or old user interface color scheme (not currently implemented).

PATTERNS([bauto], [bstyle], [bcolor], [bwt], [shadow], [aauto], [apattern], [afore], [aback], [invert], [apply], [new_fill])

Changes the attributes of the selected chart plot areas, bars, columns, pie slices or text labels.

bauto | The border setting. The possible values are:
0 | Custom
1 | Automatic
2 | None
| If this parameter is omitted the setting is not changed.
bstyle | The border style. The possible values are:
1 | Solid
2 | Dash
3 | Dot
4 | Dash dot
5 | Dash dot dot
6 | Dark
7 | Medium
8 | Light
| If this parameter is omitted the setting is not changed.
bcolor | The border color. The possible values are:
1 to 56 | One of the colors displayed in the Format Cells dialog Patterns page
| If this parameter is omitted the setting is not changed.
bwt | The border weight (not currently implemented).
shadow | Whether to apply a shadow to the object (not currently implemented).
aauto | The area setting. The possible values are:
0 | Custom
1 | Automatic
2 | None
| If this parameter is omitted the setting is not changed.
apattern | The area pattern (not currently implemented).
afore | The area foreground color. The possible values are:
1 to 56 | One of the colors displayed in the Format Cells dialog Patterns page
| If this parameter is omitted the setting is not changed.
aback | The area background color (not currently implemented).
invert | Whether to invert the pattern for a negative value (not currently implemented).
apply | Whether to apply changes to just this item or all similar items (not currently implemented).
new_fill | Whether to use the new or old user interface color scheme (not currently implemented).

PATTERNS([lauto], [lstyle], [lcolor], [lwt], [mauto], [mstyle], [mfore], [mback], [apply], [smooth])

Changes the attributes of the selected chart series line.

lauto | The line setting. The possible values are:
0 | Custom
1 | Automatic
2 | None
| If this parameter is omitted the setting is not changed.
lstyle | The line style. The possible values are:
1 | Solid
2 | Dash
3 | Dot
4 | Dash dot
5 | Dash dot dot
6 | Dark
7 | Medium
8 | Light
| If this parameter is omitted the setting is not changed.
lcolor | The line color. The possible values are:
1 to 56 | One of the colors displayed in the Format Cells dialog Patterns page
| If this parameter is omitted the setting is not changed.
lwt | The line weight (not currently implemented).
mauto | The marker setting. The possible values are:
0 | Custom
1 | Automatic
2 | None
| If this parameter is omitted the setting is not changed.
mstyle | The marker style. The possible values are:
1 | Square
2 | Diamond
3 | Triangle
4 | X
5 | Star
6 | Dot
7 | Dash
8 | Circle
9 | Plus
| If this parameter is omitted the setting is not changed.
mfore | The marker foreground color. The possible values are:
1 to 56 | One of the colors displayed in the Format Cells dialog Patterns page
| If this parameter is omitted the setting is not changed.
mback | The marker background color. The possible values are:
1 to 56 | One of the colors displayed in the Format Cells dialog Patterns page
| If this parameter is omitted the setting is not changed.
apply | Whether to apply changes to just this item or all similar items (not currently implemented).
smooth | Whether to smooth picture markers (not currently implemented).

PROTECT.DOCUMENT([contents], [windows], [password], [objects], [scenarios])

Simulates the Format Sheet Protect menu option.

contents | Whether to protect the locked cell contents. The possible values are:
TRUE | The locked cell contents are protected
FALSE | The locked cell contents are unprotected
| If this parameter is omitted it defaults to TRUE.
windows | Whether to protect windows from being moved or sized (not currently implemented). The possible values are:
TRUE | The windows are protected
FALSE | The windows are unprotected
| If this parameter is omitted it defaults to FALSE.
password | An optional case-sensitive password to protect or unprotect the document.
objects | Whether to protect the locked objects (not currently implemented). The possible values are:
TRUE | The locked objects are protected
FALSE | The locked objects are unprotected
| If this parameter is omitted it defaults to TRUE.
scenarios | Whether to protect the scenarios (not currently implemented). The possible values are:
TRUE | The scenarios are protected
FALSE | The scenarios are unprotected
| If this parameter is omitted it defaults to TRUE.

QUIT()

Simulates the File Exit menu option.

REFTEXT(reference, [a1])

Returns a string containing the specified reference.

reference | The reference that is to be converted to text.
a1 | Specifies the style of the reference. The possible values are:
FALSE | R1C1 style
TRUE | A1 style
| If this parameter is omitted it defaults to FALSE.

RELREF(reference, rel_to_ref)

Returns a string containing an R1C1 reference that represents the offset of the first reference from the second.

reference | The target reference.
rel_to_ref | The base reference.

ROW.HEIGHT([height_num], [reference], [standard_height], [type_num])

Simulates the Format Row menu options.

height_num | The new height of the rows. The height is measured in points. This parameter is ignored if standard_height is TRUE or type_num is specified. If this parameter is omitted the height of the specified rows is not changed.
reference | The rows whose height is to be changed. If this parameter is omitted it defaults to the current selection on the active worksheet.
standard_height | Specifies whether the rows are to be set to the standard row height. The possible values are:
TRUE | The rows are set to the standard height.
FALSE | The rows are not set to the standard height.
| If this parameter is omitted it defaults to FALSE.
type_num | Specifies whether the rows are to be hidden, unhidden or automatically sized. This parameter is ignored if standard_height is TRUE. The possible values are:
1 | The rows are hidden.
2 | The rows are unhidden.
3 | The rows are set to the height of the highest displayed value.
| If this parameter is omitted the rows will not be hidden, unhidden or auto-sized.

SAVE()

Simulates the File Save menu option.

SAVE.AS([document_text], [type_num], [prot_pwd], [backup], [write_res_pwd], [read_only_rec])

Simulates the File Save As menu option.

document_text | The name for the saved file. If this parameter is omitted the current name will be used.
type_num | The type of file to save. The possible values are:
1 | Excel workbook (xls)
3 | Tab-delimited text (txt)
6 | Comma-separated values (csv)
17 | Excel template (xlt)
| If this parameter is omitted it defaults to 1.
prot_pwd | The password required to unprotect a file (not currently implemented).
backup | Whether to make a backup of the file (not currently implemented).
write_res_pwd | The password required to open a read-only file for writing (not currently implemented).
read_only_rec | Whether to save the file as read-only recommended (not currently implemented).

SAVE.COPY.AS([document_text])

Saves a copy of the current file with a different name.

document_text | The name for the saved file. If this parameter is omitted then the file is not saved.

SAVE.DIALOG([init_filename], [title], [button_text], [file_filter], [filter_index])

Returns a file name from the File Save As dialog box, or FALSE if Cancel is selected.

init_filename | The suggested file name. If this parameter is omitted it defaults to the name of the active file.
title | Replacement text for the dialog box title. If this parameter is omitted the title is not changed.
button_text | Replacement text for the Save button (not currently implemented).
file_filter | One or more file filters, separated by commas. If this parameter is omitted it defaults to "All Files (*.*), *.*".
filter_index | The index of the initial file filter. If this parameter is omitted it defaults to 1.

SCALE([min_num], [max_num], [major], [minor], [cross], [logarithmic], [reverse], [max])

Changes the attributes of the selected chart value axis scale.

min_num | The minimum value. If this parameter is omitted the setting is not changed.
max_num | The maximum value. If this parameter is omitted the setting is not changed.
major | The major step value. If this parameter is omitted the setting is not changed.
minor | The minor step value (not currently implemented).
cross | The value at which the opposite axis crosses this axis (not currently implemented).
logarithmic | Whether this scale is linear or logarithmic. The possible values are:
FALSE | The scale is linear.
TRUE | The scale is logarithmic.
| If this parameter is omitted the setting is not changed.
reverse | Whether the scale values are show in reverse order (not currently implemented).
max | Whether the opposite axis crosses this axis at the maximum value (not currently implemented).

SCROLLBAR.PROPERTIES([value], [min], [max], [inc], [page], [link], [3d_shading])

Changes the properties of a scroll bar or spin control.

value | The current value of the control. If this parameter is omitted the value is not changed.
min | The minimum value of the control. If this parameter is omitted the value is not changed.
max | The maximum value of the control. If this parameter is omitted the value is not changed.
inc | The change to the current value when the arrow button is clicked. If this parameter is omitted the value is not changed.
page | The change to the current value when the area either side of the scroll bar thumb is clicked. If this parameter is omitted the value is not changed.
link | The cell that is updated by the control. If this parameter is omitted the link is not changed.
3d_shading | Whether to draw the control with 3d shading. The possible values are:
FALSE | 2d
TRUE | 3d
| If this parameter is omitted the setting is not changed.

SELECT([selection], [active_cell])

Sets the selection and cursor cell on the active worksheet.

selection | The cells that are to be the selection. If this parameter is omitted the current selection is not changed.
active_cell | The cell that is to be the cursor cell. If this parameter is omitted it defaults to the top left cell in the selection.

SELECT([object_id], [replace])

Selects an object on the active worksheet.

object_id | The object to be selected. If this parameter is omitted the current selection is not changed.
replace | Whether to replace or add to the existing object selection (not currently implemented).

SELECT([item_text], [single_point])

Selects an object on the active chart.

item_text | The object to be selected. The possible values are:
"Chart" | Entire chart
"Plot" | Plot area
"Axis 1" | Primary chart value axis
"Axis 2" | Primary chart category axis
"Axis 3 | Secondary chart value axis or 3D chart series axis
"Axis 4" | Secondary chart category axis
"Title" | Chart title
"Text Axis 1" | Primary chart value axis title
"Text Axis 2" | Primary chart category axis title
"Text Axis 3" | Primary chart series axis title
"Text n" | nth floating text item
"Arrow n" | nth arrow
"Gridline 1" | Value axis major gridlines
"Gridline 2" | Value axis minor gridlines
"Gridline 3" | Category axis major gridlines
"Gridline 4" | Category axis minor gridlines
"Gridline 5" | Series axis major gridlines
"Gridline 6" | Series axis minor gridlines
"Dropline 1" | Primary chart droplines
"Dropline 2" | Secondary chart droplines
"Hiloline 1" | Primary chart hi-lo lines
"Hiloline 2" | Secondary chart hi-lo lines
"UpBar1" | Primary chart up bar
"UpBar2" | Secondary chart up bar
"DownBar1" | Primary chart down bar
"DownBar2" | Secondary chart down bar
"Seriesline1" | Primary chart series line
"Seriesline2" | Secondary chart series line
"Floor" | 3D chart base
"Walls" | 3D chart back
"Corners" | 3D chart corners
"Sn" | Series n
"SnPm" | Series n point m data
"SnTm" | Series n trend line m
"SnEm" | Series n error bars m
"Text Sn" | Series n text
"Text SnPm" | Series n point m text
"Legend" | Legend
"Legend Marker n" | Legend marker n
"Legend Entry n" | Legend entry n
| If this parameter is omitted the current selection is not changed.
single_point | Whether to select a single point or the entire series (not currently implemented).

SELECT.END(direction_num)

Simulates the Ctrl+arrow key combination.

direction_num | The direction in which to move the cursor. The possible values are:
1 | Left
2 | Right
3 | Up
4 | Down

SELECT.LAST.CELL()

Simulates the Ctrl+End key combination.

SELECTION()

Returns a reference which represents the current selection on the active worksheet.

SEND.TO.BACK()

Changes the order of the objects on the active worksheet by moving the currently selected object to the back.

SET.CONTROL.VALUE([value])

Changes the current value of a control.

value | The new value for the control. The possible values are:
Check box | 0 | Unchecked
| 1 | Checked
| 2 | Mixed
Option button | 0 | Unchecked
| 1 | Checked
Spin control | The new value of the spin control
Scroll bar | The new scroll position
List box | The selected item (0 = no selection)
Combo box | The selected item (0 = no selection)
| If this parameter is omitted the setting is not changed.

SHOW.ACTIVE.CELL()

Scrolls the active cell into view.

SORT([orientation], [key1], [order1], [key2], [order2], [key3], [order3], [header], [custom], [case])

Simulates the Format Data Sort menu option.

orientation | Specifies whether to sort the rows or columns. The possible values are:
1 | Sort rows
2 | Sort columns
| If this parameter is omitted it defaults to 1.
key1 | Specifies a reference to the first column or row to sort on. If this parameter is omitted it defaults to the first column or row in the selection.
order1 | Specifies whether to sort the data in ascending or descending order. The possible values are:
1 | Ascending
2 | Descending
| If this parameter is omitted it defaults to 1.
key2 | Specifies a reference to the second column or row to sort on. If this parameter is omitted then the second key is not used.
order2 | Specifies whether to sort the data in ascending or descending order. The possible values are:
1 | Ascending
2 | Descending
| If this parameter is omitted it defaults to 1.
key3 | Specifies a reference to the third column or row to sort on. If this parameter is omitted then the third key is not used.
order3 | Specifies whether to sort the data in ascending or descending order. The possible values are:
1 | Ascending
2 | Descending
| If this parameter is omitted it defaults to 1.
header | Specifies whether the selected cells include a header row or column. The possible values are:
0 | Determine the presence of a header automatically
1 | There is a header
2 | There is no header
| If this parameter is omitted it defaults to 2.
custom | Specifies whether to use a custom list for the first sort key. The possible values are:
1 | Use normal sort sequence
2 | Day short names
3 | Day long names
4 | Month short names
5 | Month long names
| If this parameter is omitted it defaults to 1.
case | Specifies whether the sort should be case-sensitive. The possible values are:
TRUE | The sort is case-sensitive
FALSE | The sort is not case-sensitive
| If this parameter is omitted it defaults to FALSE.

STANDARD.WIDTH([standard_num])

Simulates the Format Column Standard width menu option.

standard_num | The new standard width. If this parameter is omitted then the standard width is not changed.

TEXT.BOX(add_text, [object_id], [start_num], [num_chars])

Changes the text of an object.

add_text | The text that is to be added.
object_id | The object identifier. If this parameter is omitted it defaults to the currently selected object on the active worksheet.
start_num | The start position in the existing text where the new text is to be inserted. If this parameter is omitted it defaults to 1.
num_chars | The length of existing text that is to be replaced. If this parameter is omitted it defaults to the length of the existing text.

TEXT.TO.COLUMNS([destination_ref], [data_type], [text_delim], [consecutive_delim], [tab], [semicolon], [comma], [space], [other], [other_char], [field_info])

Simulates the Format Data Text to Columns menu option.

destination_ref | Specifies an alternative destination for the parsed data (not currently implemented).
data_type | Specifies how the data is to be split. The possible values are:
1 | Delimited
2 | Fixed width
| If this parameter is omitted it defaults to 1.
text_delim | For delimited data, specifies the text item delimiter. The possible values are:
1 | Double quote
2 | Single quote
3 | None
| If this parameter is omitted it defaults to the value last specified from the menu option.
consecutive_delim | For delimited data, specifies whether to treat consecutive delimiters as one. The possible values are:
FALSE | Treat consecutive delimiters separately
TRUE | Treat consecutive delimiters as one
| If this parameter is omitted it defaults to the value last specified from the menu option.
tab | For delimited data, specifies whether to treat the tab character as a delimiter. The possible values are:
FALSE | Do not treat tab characters as delimiters
TRUE | Treat tab characters as delimiters
| If this parameter is omitted it defaults to the value last specified from the menu option.
semicolon | For delimited data, specifies whether to treat the semicolon character as a delimiter. The possible values are:
FALSE | Do not treat semicolon characters as delimiters
TRUE | Treat semicolon characters as delimiters
| If this parameter is omitted it defaults to the value last specified from the menu option.
comma | For delimited data, specifies whether to treat the comma character as a delimiter. The possible values are:
FALSE | Do not treat comma characters as delimiters
TRUE | Treat comma characters as delimiters
| If this parameter is omitted it defaults to the value last specified from the menu option.
space | For delimited data, specifies whether to treat the space character as a delimiter. The possible values are:
FALSE | Do not treat space characters as delimiters
TRUE | Treat space characters as delimiters
| If this parameter is omitted it defaults to the value last specified from the menu option.
other | For delimited data, specifies whether to treat the user-specified character as a delimiter. The possible values are:
FALSE | Do not treat user-specified characters as delimiters
TRUE | Treat user-specified characters as delimiters
| If this parameter is omitted it defaults to the value last specified from the menu option.
other_char | For delimited data, specifies the user-specified character to be treated as a delimiter. If this parameter is omitted it defaults to the value last specified from the menu option.
field_info | For delimited data, an array specifying {column number, data format}, repeated as necessary. For fixed width data, an array specifying {start position, data format}, repeated as necessary. For the data format, the possible values are:
1 | General
2 | Text
3 | Date
9 | Skip
| If this parameter is omitted the data format defaults to General.

TEXTREF(text, [a1])

Returns a reference corresponding to the specified text.

text | The string containing the reference.
a1 | Specifies the style of the reference. The possible values are:
FALSE | R1C1 style
TRUE | A1 style
| If this parameter is omitted it defaults to FALSE.

UNDO()

Simulates the Edit Undo menu option.

VLINE([num_rows])

Scrolls the worksheet vertically by the specified number of rows.

num_rows | The number of rows to scroll. A negative number will scroll towards the top. If this parameter is omitted it defaults to 1.

VPAGE([num_windows])

Scrolls the worksheet vertically by the specified number of pages.

num_windows | The number of pages to scroll. A negative number will scroll towards the top. If this parameter is omitted it defaults to 1.

VSCROLL(position, [row_logical])

Scrolls the worksheet vertically to the specified position.

position | The proportional or absolute position to scroll to.
row_logical | Whether the position parameter represents a proportional or absolute row number. The possible values are:
FALSE | The position parameter is a number between 0 and 1 that represents how far down the worksheet to scroll to.
TRUE | The position parameter is a number between 1 and 65536 that represents the row number to scroll to.
| If this parameter is omitted it defaults to FALSE.

WORKBOOK.ACTIVATE(sheet_name)

Specifies the sheet that is to be the active worksheet.

sheet_name | The sheet that is to be the active worksheet.

WORKBOOK.DELETE([sheet_name])

Simulates the Edit Delete Sheet menu option.

sheet_name | The sheet that is to be deleted. If this parameter is omitted it defaults to the currently active sheet.

WORKBOOK.HIDE([sheet_text], [very_hidden])

Simulates the Format Sheet Hide menu option.

sheet_text | The name of the sheet to hide. If this parameter is omitted it defaults to the currently active sheet.
very_hidden | Whether to show the name of the hidden sheet in the Unhide dialog box. The possible values are:
TRUE | Do not show the sheet name
FALSE | Show the sheet name
| If this parameter is omitted it defaults to FALSE.

WORKBOOK.INSERT([type_num])

Simulates the Insert Worksheet, Chart and Macro sheet menu options.

type_num | The type of sheet that is to be added. The possible values are:
1 | A worksheet
2 | A chart
3 | A macro sheet
| If this parameter is omitted it defaults to the type of the currently active sheet.

WORKBOOK.NAME(old_sheet_name, new_sheet_name)

Simulates the Format Sheet Rename menu option.

old_sheet_name | The sheet that is to be renamed.
new_sheet_name | The new name for the sheet.

WORKBOOK.NEXT()

Simulates the Ctrl+Page Down key combination.

WORKBOOK.PREV()

Simulates the Ctrl+Page Up key combination.

WORKBOOK.UNHIDE([sheet_text])

Simulates the Format Sheet Unhide menu option.

sheet_text | The name of the sheet to unhide. If this parameter is omitted it defaults to the first hidden sheet.

ZOOM([magnification])

Simulates the Format Sheet Zoom menu option.

magnification | The magnification option. The possible values are:
number | Set the zoom level to the specified number. The number must be between 10 and 400.
TRUE | Set the zoom level so that the current selection fills the window.
FALSE | Reset the zoom level to 100%
| If this parameter is omitted it defaults to TRUE.